---
title: Delete Customer
slug: us-apis/delete-customer
description: Signzy's "Delete customer" API integrated with Finicity enables the seamless removal of a customer, along with all connected accounts and transactions. This API necessitates the customer's ID as input and conveniently offers a cURL request example, accomp
createdAt: 2023-03-16T09:36:20.000Z
---

## Introduction

The "Delete customer" API by Signzy is integrated with Finicity. This helps you delete the customerId created for a given customer.

This API helps completely remove a customer from the system. This will remove the customer and all associated accounts and transactions.

⚠️ Use this service carefully! It will not pause for confirmation before performing the operation!

## API Details

This API takes `CustomerID` as the input.&#x20;

### Sample cURL

::::Tabs
:::Tab{title="Production"}
```curl
curl --location --request POST 'https://api.signzy.app/api/v3/bank-connect/delete-customer' \
--header 'Authorization: <Token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerId": "<customerId>"
}'
```
:::

:::Tab{title="Pre-Production"}
```curl
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/bank-connect/delete-customer' \
--header 'Authorization: <Token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerId": "<customerId>"
}'
```
:::
::::

### Request Body Parameters

| **Parameter** | **Data Type** | **Required** | **Description**                                                                                                                                                               |
| ------------- | ------------- | ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| customerId    | string        | Yes          | The customer Id which was created and sent in the response after running [Create bank connect journey link](https://docs.signzy.com/us-apis/create-bank-connect-journey-link) |

### Sample Response

```json
{
    "result": {
        "message":"Task was successful"
    }
}
```

### Response Body Parameters

| **Parameter** | **Data Type** | **Description** |
| ------------- | ------------- | --------------- |
| message       | String        | Message of task |

### Sample Error

```json
{
    "error": {
        "name": "error",
        "message": "..message..",
        "status": 400,
        "reason": "BadRequest",
        "type": "OK",
        "statusCode": 200
    }
}
```

### Error Response Parameters

| **Parameter**    | **Description**                    |
| ---------------- | ---------------------------------- |
| error            | This parameter contains the error. |
| error.name       | the name of the error              |
| error.message    | the error message                  |
| error.status     | status of the api                  |
| error.reason     | Reason for error                   |
| error.type       | Type of the error                  |
| error.statusCode | Request Status code from Signzy    |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.

You can reach out to us at [help@signzy.com](#). We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!
:::

